Bug 12751 - ap_get_remote_host
: ap_get_remote_host
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fedora-ds-adminserver)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-11 19:52 by
Modified: 2008-09-24 12:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-11 19:52:15
В соответствии с
http://directory.fedoraproject.org/wiki/Howto:AdminServerLDAPMgmt#How_to_set_the_hosts.2FIP_addresses_allowed_to_access_the_Admin_Server
настроен доступ к fedora-ds-admin. Но при этом все попытки подключиться
обламываются со словами, цитирую:

[Wed Sep 12 03:25:53 2007] [notice] [client 192.168.150.254]
admserv_host_ip_check: ap_get_remote_host could not resolve 192.168.150.254

Приглядевшись к исходникам, находим. Что в mod_admserv/mod_admserv.c на 1914
живут следующие строчки

  const char *maxdns = ap_get_remote_host(r->connection, r->per_dir_config,
                                                REMOTE_HOST, NULL);

А это значит, что 
	The type of lookup to perform. One of:

     REMOTE_HOST returns the hostname, or NULL if the hostname
                 lookup fails.  It will force a DNS lookup according to the
                 HostnameLookups setting.

стоит значит включить HostnameLookups в On в /etc/fedora-ds/admin-serv/httpd.conf
------- Comment #1 From 2008-09-23 20:58:43 -------
очень давно FIXED